function f=freq(y,t,yHyst=0,xDeadZone=0)
  
# f = freq(y, t, yHyst, xDeadZone)
#
# Estimates the frequency of the alternating component of y based on zero 
# crossing detection. Time coordinates corresponding to the values found in y 
# must be provided in a separate vector t of equal size.
#
# For a description of yHyst and xDeadZone, see levelcross().

# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology
  
  y -= mean(y);
  [iCross, iCrossRis, iCrossFal] = levelcross(y, 0, yHyst, xDeadZone);
  [tinterval, tspl] = sampledinterval(t);
  per = mean([mean(diff(iCrossRis)) mean(diff(iCrossFal))]) * tspl;
  f = 1/per;
  
endfunction
