function iPeriodBounds=periodbounds(y,yHyst=0,xDeadZone=0)
  
# iPeriodBounds = periodbounds(y, yHyst, xDeadZone)
#
# Determines the boundary points between the consecutive periods of y and 
# returns the corresponding indices of y. Period beginnings are established 
# through detecting the zero crossings of the alternating component of y.
#
# For a description of the optional parameters yHyst and xDeadZone, both 
# defaulting to 0, see levelcross().

# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology
  
  y -= mean(y);
  [iCross, iCrossRis, iCrossFal] = levelcross(y, 0, yHyst, xDeadZone);
  if (iCrossFal(1) < iCrossRis(1))
    iPeriodBounds = iCrossFal;
  else
    iPeriodBounds = iCrossRis;
  endif
  
endfunction
