function [tinterval,tsample]=sampledinterval(t)
  
# [tinterval, tsample] = sampledinterval(t)
#
# For a vector t representing time coordinates of signal samples, calculates 
# the sampling period tsample (assuming it is constant) and the length of the 
# interval covered by t (including the time interval corresponding to the last 
# sample).
  
# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology

  tsample = range(t)/(length(t)-1);
  tinterval = range(t) + tsample;
  
endfunction
